//this script is a modified version of Simon_T's "Bomb Throw Ability for Fang".
freeslot("sfx_bomoof")
sfxinfo[sfx_bomoof].caption = "Noob throws bomb"

addHook("ThinkFrame", do
	for player in players.iterate
		if player.mo and player.mo.skin == "oof" //If you're Noob
			if not player.exiting
				if not (P_PlayerInPain(player) or (player.panim == PA_ABILITY2)) //states in which bombs cant be thrown
					if (((player.cmd.buttons & BT_CUSTOM1) or (player.cmd.buttons & BT_ATTACK) or (player.cmd.buttons & BT_FIRENORMAL)) and not (player.weapondelay)) //If you press these buttons...
						S_StartSound(player.mo, sfx_bomoof)//...Play the bomb throwing sound...
						local bomb = P_SpawnMobj(player.mo.x, player.mo.y, player.mo.z + player.mo.height, MT_FBOMB)
						bomb.target = player.mo //The bomb can't hurt its user
						if (player.mo.momz >= 0)
							bomb.momz = 5*FRACUNIT 
						else
							bomb.momz = 5*FRACUNIT //...The bomb just flies at this fixed height
						end
						P_InstaThrust(bomb, player.mo.angle, ((player.speed)+(10*FRACUNIT))) //The bomb describes an arc while flying, affected by your current speed
						if (player.powers[pw_super]) //If you're Super Noob...
							player.weapondelay = 30 //...You can throw bombs much faster
						else //But if that's not the case...
							player.weapondelay = TICRATE*2 //...You have to wait two seconds between bombs
							end
						end
					end
				end
			end
		end
	end)